Subject: [MOBILE-IP] mobile IP pending lifetime question

From: Paula Tjandra <[email-masked]>
Date: Mon, 11 Oct 1999 17:04:02 -0500

Greetings,

I have some questions about mobile IP pending registration lifetime
value.
RFC 2002 stated in section 3.7.2.2:
 " .. the foreign agent MUST begin timing the remaining lifetime of the
pending registration
   based on the Lifetime in the Registration Request. If this lifetime
expires before receiving
   a valid Registration Reply, the foreign agent MUST delete its visitor
list entry for this pending
   registration."

Is there any specific reason why the pending lifetime is based on the
registration lifetime?
Why can't we have a pending timer value based on the round trip time for
transmission from the FA to
the HA plus some processing time in the HA?
Given that the mobile node could request one or multiple registration
requests with a large registration
lifetime value (or even infinite), it seems like theoritically the FA
could maintain a stale pending
registration for a long time. Thus, resources wasted.

Regards,
---
Paula Tjandra
Motorola, Network Solution Sector, iDEN Technology Division
Email: [email-masked]

---

From: "Kent K. Leung" <[email-masked]>
Date: Mon, 11 Oct 1999 15:53:34 -0700

Paula,

I raised this issue back in 1997 and there was a email thread
subject line 'Fixing RFC 2002' that encompassed this problem
along with others that James Solomon had collected.

The result was what Charlie Perkins publish originally as
Mobile IP version 2, the title was supposed to be changed.
I can't see to find it as a DRAFT or RFC, right now.

I believe the short answer is the original text has exactly
the problems you pointed out so the pending timer should be
some small value that can be configured.  Also, the number
of pending registrations can be limited.  The values of the
numbers and timers are implementation dependent.

-- Kent --

--
     |          |                         Kent Leung
    :|:        :|:                        Software Engineer
   :|||:      :|||:                       IOS Development
.:|||||||:..:|||||||:.                    408.526.5030
c i s c o S y s t e m s                   [email-masked]